Subject: failing hackage import

From: Dave Love <[email-masked]>
Date: Thu, 08 Dec 2016 13:56:12 +0000

With guix 20161208.12 I see the following, which would probably take me
a while to debug as I don't know my way around.  (With the 0.11.0
version I got a different error without a backtrace.  I upgraded after
seeing a bug fix for hackage in the tracker.)

  $ guix import hackage -t darcs
  Backtrace:
  In ice-9/boot-9.scm:
   160: 16 [catch #t #<catch-closure 11e6e40> ...]
  In unknown file:
     ?: 15 [apply-smob/1 #<catch-closure 11e6e40>]
  In ice-9/boot-9.scm:
    66: 14 [call-with-prompt prompt0 ...]
  In ice-9/eval.scm:
   432: 13 [eval # #]
  In ice-9/boot-9.scm:
  2404: 12 [save-module-excursion #<procedure 1206900 at ice-9/boot-9.scm:4051:3 ()>]
  4056: 11 [#<procedure 1206900 at ice-9/boot-9.scm:4051:3 ()>]
  1727: 10 [%start-stack load-stack ...]
  1732: 9 [#<procedure 1219b70 ()>]
  In unknown file:
     ?: 8 [primitive-load "/gnu/store/hckw4cw3m6r55afrldhn9gf66wrznh7i-guix-0.11.0-8.8d12/bin/.guix-real"]
  In guix/ui.scm:
  1222: 7 [run-guix-command import "hackage" "-t" "darcs"]
  In guix/scripts/import.scm:
   110: 6 [guix-import "hackage" "-t" "darcs"]
  In guix/scripts/import/hackage.scm:
   110: 5 [guix-import-hackage "-t" "darcs"]
  In guix/import/hackage.scm:
   247: 4 [hackage->guix-package "darcs" #:include-test-dependencies? ...]
   113: 3 [hackage-fetch "darcs"]
  In guix/import/cabal.scm:
   580: 2 [read-cabal #<input: r6rs-custom-binary-input-port 38ef8f0> #f]
  In system/base/lalr.upstream.scm:
  1956: 1 [___run]
  1851: 0 [___push 1 6 ...]
  
  system/base/lalr.upstream.scm:1851:2: In procedure ___push:
  system/base/lalr.upstream.scm:1851:2: Wrong number of arguments to #<procedure ___push (delta new-category lvalue tok)>